import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface RulesetRuleConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#disabled RulesetRule#disabled}.
     *
     * @stability stable
     */
    readonly disabled?: boolean | cdktf.IResolvable;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#position RulesetRule#position}.
     *
     * @stability stable
     */
    readonly position?: number;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#ruleset RulesetRule#ruleset}.
     *
     * @stability stable
     */
    readonly ruleset: string;
    /**
     * actions block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#actions RulesetRule#actions}
     *
     * @stability stable
     */
    readonly actions?: RulesetRuleActions;
    /**
     * conditions block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#conditions RulesetRule#conditions}
     *
     * @stability stable
     */
    readonly conditions?: RulesetRuleConditions;
    /**
     * time_frame block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#time_frame RulesetRule#time_frame}
     *
     * @stability stable
     */
    readonly timeFrame?: RulesetRuleTimeFrame;
    /**
     * variable block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#variable RulesetRule#variable}
     *
     * @stability stable
     */
    readonly variable?: RulesetRuleVariable[] | cdktf.IResolvable;
}
/**
 * @stability stable
 */
export interface RulesetRuleActionsAnnotate {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#value RulesetRule#value}.
     *
     * @stability stable
     */
    readonly value?: string;
}
export declare function rulesetRuleActionsAnnotateToTerraform(struct?: RulesetRuleActionsAnnotate | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface RulesetRuleActionsEventAction {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#value RulesetRule#value}.
     *
     * @stability stable
     */
    readonly value?: string;
}
export declare function rulesetRuleActionsEventActionToTerraform(struct?: RulesetRuleActionsEventAction | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface RulesetRuleActionsExtractions {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#regex RulesetRule#regex}.
     *
     * @stability stable
     */
    readonly regex?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#source RulesetRule#source}.
     *
     * @stability stable
     */
    readonly source?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#target RulesetRule#target}.
     *
     * @stability stable
     */
    readonly target?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#template RulesetRule#template}.
     *
     * @stability stable
     */
    readonly template?: string;
}
export declare function rulesetRuleActionsExtractionsToTerraform(struct?: RulesetRuleActionsExtractions | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface RulesetRuleActionsPriority {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#value RulesetRule#value}.
     *
     * @stability stable
     */
    readonly value?: string;
}
export declare function rulesetRuleActionsPriorityToTerraform(struct?: RulesetRuleActionsPriority | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface RulesetRuleActionsRoute {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#value RulesetRule#value}.
     *
     * @stability stable
     */
    readonly value?: string;
}
export declare function rulesetRuleActionsRouteToTerraform(struct?: RulesetRuleActionsRoute | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface RulesetRuleActionsSeverity {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#value RulesetRule#value}.
     *
     * @stability stable
     */
    readonly value?: string;
}
export declare function rulesetRuleActionsSeverityToTerraform(struct?: RulesetRuleActionsSeverity | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface RulesetRuleActionsSuppress {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#threshold_time_amount RulesetRule#threshold_time_amount}.
     *
     * @stability stable
     */
    readonly thresholdTimeAmount?: number;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#threshold_time_unit RulesetRule#threshold_time_unit}.
     *
     * @stability stable
     */
    readonly thresholdTimeUnit?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#threshold_value RulesetRule#threshold_value}.
     *
     * @stability stable
     */
    readonly thresholdValue?: number;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#value RulesetRule#value}.
     *
     * @stability stable
     */
    readonly value?: boolean | cdktf.IResolvable;
}
export declare function rulesetRuleActionsSuppressToTerraform(struct?: RulesetRuleActionsSuppress | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface RulesetRuleActionsSuspend {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#value RulesetRule#value}.
     *
     * @stability stable
     */
    readonly value?: number;
}
export declare function rulesetRuleActionsSuspendToTerraform(struct?: RulesetRuleActionsSuspend | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface RulesetRuleActions {
    /**
     * annotate block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#annotate RulesetRule#annotate}
     *
     * @stability stable
     */
    readonly annotate?: RulesetRuleActionsAnnotate[] | cdktf.IResolvable;
    /**
     * event_action block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#event_action RulesetRule#event_action}
     *
     * @stability stable
     */
    readonly eventAction?: RulesetRuleActionsEventAction[] | cdktf.IResolvable;
    /**
     * extractions block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#extractions RulesetRule#extractions}
     *
     * @stability stable
     */
    readonly extractions?: RulesetRuleActionsExtractions[] | cdktf.IResolvable;
    /**
     * priority block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#priority RulesetRule#priority}
     *
     * @stability stable
     */
    readonly priority?: RulesetRuleActionsPriority[] | cdktf.IResolvable;
    /**
     * route block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#route RulesetRule#route}
     *
     * @stability stable
     */
    readonly route?: RulesetRuleActionsRoute[] | cdktf.IResolvable;
    /**
     * severity block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#severity RulesetRule#severity}
     *
     * @stability stable
     */
    readonly severity?: RulesetRuleActionsSeverity[] | cdktf.IResolvable;
    /**
     * suppress block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#suppress RulesetRule#suppress}
     *
     * @stability stable
     */
    readonly suppress?: RulesetRuleActionsSuppress[] | cdktf.IResolvable;
    /**
     * suspend block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#suspend RulesetRule#suspend}
     *
     * @stability stable
     */
    readonly suspend?: RulesetRuleActionsSuspend[] | cdktf.IResolvable;
}
export declare function rulesetRuleActionsToTerraform(struct?: RulesetRuleActionsOutputReference | RulesetRuleActions): any;
/**
 * @stability stable
 */
export declare class RulesetRuleActionsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
     * @param terraformResource The parent resource.
     * @param terraformAttribute The attribute on the parent resource this class is referencing.
     * @param isSingleItem True if this is a block, false if it's a list.
     * @stability stable
     */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, isSingleItem: boolean);
    /**
     * @stability stable
     */
    get internalValue(): RulesetRuleActions | undefined;
    /**
     * @stability stable
     */
    set internalValue(value: RulesetRuleActions | undefined);
    private _annotate?;
    /**
     * @stability stable
     */
    get annotate(): RulesetRuleActionsAnnotate[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set annotate(value: RulesetRuleActionsAnnotate[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetAnnotate(): void;
    /**
     * @stability stable
     */
    get annotateInput(): cdktf.IResolvable | RulesetRuleActionsAnnotate[] | undefined;
    private _eventAction?;
    /**
     * @stability stable
     */
    get eventAction(): RulesetRuleActionsEventAction[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set eventAction(value: RulesetRuleActionsEventAction[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetEventAction(): void;
    /**
     * @stability stable
     */
    get eventActionInput(): cdktf.IResolvable | RulesetRuleActionsEventAction[] | undefined;
    private _extractions?;
    /**
     * @stability stable
     */
    get extractions(): RulesetRuleActionsExtractions[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set extractions(value: RulesetRuleActionsExtractions[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetExtractions(): void;
    /**
     * @stability stable
     */
    get extractionsInput(): cdktf.IResolvable | RulesetRuleActionsExtractions[] | undefined;
    private _priority?;
    /**
     * @stability stable
     */
    get priority(): RulesetRuleActionsPriority[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set priority(value: RulesetRuleActionsPriority[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetPriority(): void;
    /**
     * @stability stable
     */
    get priorityInput(): cdktf.IResolvable | RulesetRuleActionsPriority[] | undefined;
    private _route?;
    /**
     * @stability stable
     */
    get route(): RulesetRuleActionsRoute[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set route(value: RulesetRuleActionsRoute[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetRoute(): void;
    /**
     * @stability stable
     */
    get routeInput(): cdktf.IResolvable | RulesetRuleActionsRoute[] | undefined;
    private _severity?;
    /**
     * @stability stable
     */
    get severity(): RulesetRuleActionsSeverity[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set severity(value: RulesetRuleActionsSeverity[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetSeverity(): void;
    /**
     * @stability stable
     */
    get severityInput(): cdktf.IResolvable | RulesetRuleActionsSeverity[] | undefined;
    private _suppress?;
    /**
     * @stability stable
     */
    get suppress(): RulesetRuleActionsSuppress[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set suppress(value: RulesetRuleActionsSuppress[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetSuppress(): void;
    /**
     * @stability stable
     */
    get suppressInput(): cdktf.IResolvable | RulesetRuleActionsSuppress[] | undefined;
    private _suspend?;
    /**
     * @stability stable
     */
    get suspend(): RulesetRuleActionsSuspend[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set suspend(value: RulesetRuleActionsSuspend[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetSuspend(): void;
    /**
     * @stability stable
     */
    get suspendInput(): cdktf.IResolvable | RulesetRuleActionsSuspend[] | undefined;
}
/**
 * @stability stable
 */
export interface RulesetRuleConditionsSubconditionsParameter {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#path RulesetRule#path}.
     *
     * @stability stable
     */
    readonly path?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#value RulesetRule#value}.
     *
     * @stability stable
     */
    readonly value?: string;
}
export declare function rulesetRuleConditionsSubconditionsParameterToTerraform(struct?: RulesetRuleConditionsSubconditionsParameter | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface RulesetRuleConditionsSubconditions {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#operator RulesetRule#operator}.
     *
     * @stability stable
     */
    readonly operator?: string;
    /**
     * parameter block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#parameter RulesetRule#parameter}
     *
     * @stability stable
     */
    readonly parameter?: RulesetRuleConditionsSubconditionsParameter[] | cdktf.IResolvable;
}
export declare function rulesetRuleConditionsSubconditionsToTerraform(struct?: RulesetRuleConditionsSubconditions | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface RulesetRuleConditions {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#operator RulesetRule#operator}.
     *
     * @stability stable
     */
    readonly operator?: string;
    /**
     * subconditions block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#subconditions RulesetRule#subconditions}
     *
     * @stability stable
     */
    readonly subconditions?: RulesetRuleConditionsSubconditions[] | cdktf.IResolvable;
}
export declare function rulesetRuleConditionsToTerraform(struct?: RulesetRuleConditionsOutputReference | RulesetRuleConditions): any;
/**
 * @stability stable
 */
export declare class RulesetRuleConditionsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
     * @param terraformResource The parent resource.
     * @param terraformAttribute The attribute on the parent resource this class is referencing.
     * @param isSingleItem True if this is a block, false if it's a list.
     * @stability stable
     */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, isSingleItem: boolean);
    /**
     * @stability stable
     */
    get internalValue(): RulesetRuleConditions | undefined;
    /**
     * @stability stable
     */
    set internalValue(value: RulesetRuleConditions | undefined);
    private _operator?;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    set operator(value: string);
    /**
     * @stability stable
     */
    resetOperator(): void;
    /**
     * @stability stable
     */
    get operatorInput(): string | undefined;
    private _subconditions?;
    /**
     * @stability stable
     */
    get subconditions(): RulesetRuleConditionsSubconditions[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set subconditions(value: RulesetRuleConditionsSubconditions[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetSubconditions(): void;
    /**
     * @stability stable
     */
    get subconditionsInput(): cdktf.IResolvable | RulesetRuleConditionsSubconditions[] | undefined;
}
/**
 * @stability stable
 */
export interface RulesetRuleTimeFrameActiveBetween {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#end_time RulesetRule#end_time}.
     *
     * @stability stable
     */
    readonly endTime?: number;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#start_time RulesetRule#start_time}.
     *
     * @stability stable
     */
    readonly startTime?: number;
}
export declare function rulesetRuleTimeFrameActiveBetweenToTerraform(struct?: RulesetRuleTimeFrameActiveBetween | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface RulesetRuleTimeFrameScheduledWeekly {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#duration RulesetRule#duration}.
     *
     * @stability stable
     */
    readonly duration?: number;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#start_time RulesetRule#start_time}.
     *
     * @stability stable
     */
    readonly startTime?: number;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#timezone RulesetRule#timezone}.
     *
     * @stability stable
     */
    readonly timezone?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#weekdays RulesetRule#weekdays}.
     *
     * @stability stable
     */
    readonly weekdays?: number[];
}
export declare function rulesetRuleTimeFrameScheduledWeeklyToTerraform(struct?: RulesetRuleTimeFrameScheduledWeekly | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface RulesetRuleTimeFrame {
    /**
     * active_between block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#active_between RulesetRule#active_between}
     *
     * @stability stable
     */
    readonly activeBetween?: RulesetRuleTimeFrameActiveBetween[] | cdktf.IResolvable;
    /**
     * scheduled_weekly block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#scheduled_weekly RulesetRule#scheduled_weekly}
     *
     * @stability stable
     */
    readonly scheduledWeekly?: RulesetRuleTimeFrameScheduledWeekly[] | cdktf.IResolvable;
}
export declare function rulesetRuleTimeFrameToTerraform(struct?: RulesetRuleTimeFrameOutputReference | RulesetRuleTimeFrame): any;
/**
 * @stability stable
 */
export declare class RulesetRuleTimeFrameOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
     * @param terraformResource The parent resource.
     * @param terraformAttribute The attribute on the parent resource this class is referencing.
     * @param isSingleItem True if this is a block, false if it's a list.
     * @stability stable
     */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, isSingleItem: boolean);
    /**
     * @stability stable
     */
    get internalValue(): RulesetRuleTimeFrame | undefined;
    /**
     * @stability stable
     */
    set internalValue(value: RulesetRuleTimeFrame | undefined);
    private _activeBetween?;
    /**
     * @stability stable
     */
    get activeBetween(): RulesetRuleTimeFrameActiveBetween[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set activeBetween(value: RulesetRuleTimeFrameActiveBetween[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetActiveBetween(): void;
    /**
     * @stability stable
     */
    get activeBetweenInput(): cdktf.IResolvable | RulesetRuleTimeFrameActiveBetween[] | undefined;
    private _scheduledWeekly?;
    /**
     * @stability stable
     */
    get scheduledWeekly(): RulesetRuleTimeFrameScheduledWeekly[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set scheduledWeekly(value: RulesetRuleTimeFrameScheduledWeekly[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetScheduledWeekly(): void;
    /**
     * @stability stable
     */
    get scheduledWeeklyInput(): cdktf.IResolvable | RulesetRuleTimeFrameScheduledWeekly[] | undefined;
}
/**
 * @stability stable
 */
export interface RulesetRuleVariableParameters {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#path RulesetRule#path}.
     *
     * @stability stable
     */
    readonly path?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#value RulesetRule#value}.
     *
     * @stability stable
     */
    readonly value?: string;
}
export declare function rulesetRuleVariableParametersToTerraform(struct?: RulesetRuleVariableParameters | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface RulesetRuleVariable {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#name RulesetRule#name}.
     *
     * @stability stable
     */
    readonly name?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#type RulesetRule#type}.
     *
     * @stability stable
     */
    readonly type?: string;
    /**
     * parameters block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule#parameters RulesetRule#parameters}
     *
     * @stability stable
     */
    readonly parameters?: RulesetRuleVariableParameters[] | cdktf.IResolvable;
}
export declare function rulesetRuleVariableToTerraform(struct?: RulesetRuleVariable | cdktf.IResolvable): any;
/**
 * Represents a {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule pagerduty_ruleset_rule}.
 *
 * @stability stable
 */
export declare class RulesetRule extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/pagerduty/r/ruleset_rule pagerduty_ruleset_rule} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: RulesetRuleConfig);
    private _disabled?;
    /**
     * @stability stable
     */
    get disabled(): boolean | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set disabled(value: boolean | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetDisabled(): void;
    /**
     * @stability stable
     */
    get disabledInput(): boolean | cdktf.IResolvable | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _position?;
    /**
     * @stability stable
     */
    get position(): number;
    /**
     * @stability stable
     */
    set position(value: number);
    /**
     * @stability stable
     */
    resetPosition(): void;
    /**
     * @stability stable
     */
    get positionInput(): number | undefined;
    private _ruleset?;
    /**
     * @stability stable
     */
    get ruleset(): string;
    /**
     * @stability stable
     */
    set ruleset(value: string);
    /**
     * @stability stable
     */
    get rulesetInput(): string | undefined;
    private _actions;
    /**
     * @stability stable
     */
    get actions(): RulesetRuleActionsOutputReference;
    /**
     * @stability stable
     */
    putActions(value: RulesetRuleActions): void;
    /**
     * @stability stable
     */
    resetActions(): void;
    /**
     * @stability stable
     */
    get actionsInput(): RulesetRuleActions | undefined;
    private _conditions;
    /**
     * @stability stable
     */
    get conditions(): RulesetRuleConditionsOutputReference;
    /**
     * @stability stable
     */
    putConditions(value: RulesetRuleConditions): void;
    /**
     * @stability stable
     */
    resetConditions(): void;
    /**
     * @stability stable
     */
    get conditionsInput(): RulesetRuleConditions | undefined;
    private _timeFrame;
    /**
     * @stability stable
     */
    get timeFrame(): RulesetRuleTimeFrameOutputReference;
    /**
     * @stability stable
     */
    putTimeFrame(value: RulesetRuleTimeFrame): void;
    /**
     * @stability stable
     */
    resetTimeFrame(): void;
    /**
     * @stability stable
     */
    get timeFrameInput(): RulesetRuleTimeFrame | undefined;
    private _variable?;
    /**
     * @stability stable
     */
    get variable(): RulesetRuleVariable[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set variable(value: RulesetRuleVariable[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetVariable(): void;
    /**
     * @stability stable
     */
    get variableInput(): cdktf.IResolvable | RulesetRuleVariable[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
