import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ServiceDependencyConfig extends cdktf.TerraformMetaArguments {
    /**
     * dependency block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_dependency#dependency ServiceDependency#dependency}
     *
     * @stability stable
     */
    readonly dependency: ServiceDependencyDependency[] | cdktf.IResolvable;
}
/**
 * @stability stable
 */
export interface ServiceDependencyDependencyDependentService {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_dependency#id ServiceDependency#id}.
     *
     * @stability stable
     */
    readonly id: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_dependency#type ServiceDependency#type}.
     *
     * @stability stable
     */
    readonly type: string;
}
export declare function serviceDependencyDependencyDependentServiceToTerraform(struct?: ServiceDependencyDependencyDependentService | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface ServiceDependencyDependencySupportingService {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_dependency#id ServiceDependency#id}.
     *
     * @stability stable
     */
    readonly id: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_dependency#type ServiceDependency#type}.
     *
     * @stability stable
     */
    readonly type: string;
}
export declare function serviceDependencyDependencySupportingServiceToTerraform(struct?: ServiceDependencyDependencySupportingService | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface ServiceDependencyDependency {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_dependency#type ServiceDependency#type}.
     *
     * @stability stable
     */
    readonly type?: string;
    /**
     * dependent_service block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_dependency#dependent_service ServiceDependency#dependent_service}
     *
     * @stability stable
     */
    readonly dependentService: ServiceDependencyDependencyDependentService[] | cdktf.IResolvable;
    /**
     * supporting_service block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_dependency#supporting_service ServiceDependency#supporting_service}
     *
     * @stability stable
     */
    readonly supportingService: ServiceDependencyDependencySupportingService[] | cdktf.IResolvable;
}
export declare function serviceDependencyDependencyToTerraform(struct?: ServiceDependencyDependency | cdktf.IResolvable): any;
/**
 * Represents a {@link https://www.terraform.io/docs/providers/pagerduty/r/service_dependency pagerduty_service_dependency}.
 *
 * @stability stable
 */
export declare class ServiceDependency extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/pagerduty/r/service_dependency pagerduty_service_dependency} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ServiceDependencyConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _dependency?;
    /**
     * @stability stable
     */
    get dependency(): ServiceDependencyDependency[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set dependency(value: ServiceDependencyDependency[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    get dependencyInput(): cdktf.IResolvable | ServiceDependencyDependency[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
